---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.129.0.34
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: nmstate-console-plugin-568c5ccc75-rxhwr
      namespace: openshift-nmstate
      uid: 0188d1b1-1a3d-4b9a-92ae-505c38b217fd
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:41:49Z"
    creationTimestamp: "2025-10-27T12:41:21Z"
    generateName: nmstate-console-plugin-
    generation: 3
    labels:
      app: nmstate-console-plugin
      app.kubernetes.io/component: nmstate-console-plugin
      app.kubernetes.io/instance: nmstate-console-plugin
      app.kubernetes.io/part-of: nmstate-console-plugin
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: nmstate-console-plugin
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/instance: {}
            f:app.kubernetes.io/part-of: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"cc2df826-17e0-4952-ac07-a858cb3a6f7c"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:41:49Z"
    name: nmstate-console-plugin-tc7w6
    namespace: openshift-nmstate
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: nmstate-console-plugin
      uid: cc2df826-17e0-4952-ac07-a858cb3a6f7c
    resourceVersion: "54013"
    uid: 389e4361-54ea-4f8c-b5d3-833d60c743f7
  ports:
  - name: 9443-tcp
    port: 9443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.129.0.32
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: nmstate-metrics-5664478954-hplfj
      namespace: openshift-nmstate
      uid: 3200d4c2-8b3e-4fea-812b-fe30e071da85
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:41:53Z"
    creationTimestamp: "2025-10-27T12:41:21Z"
    generateName: nmstate-monitor-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: nmstate-monitor
      prometheus.nmstate.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:prometheus.nmstate.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"877606cb-e236-4794-be55-45b0e155518f"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:41:53Z"
    name: nmstate-monitor-mftpx
    namespace: openshift-nmstate
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: nmstate-monitor
      uid: 877606cb-e236-4794-be55-45b0e155518f
    resourceVersion: "54146"
    uid: bb010a1b-06e1-4813-9165-cf2677ad4317
  ports:
  - name: metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.129.0.33
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: nmstate-webhook-5bddb5f7f8-z4gzv
      namespace: openshift-nmstate
      uid: d3fc64d5-3546-46b6-8440-af11c67d63d5
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:41:50Z"
    creationTimestamp: "2025-10-27T12:41:21Z"
    generateName: nmstate-webhook-
    generation: 3
    labels:
      app: kubernetes-nmstate
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: nmstate-webhook
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"8b23d6b1-c054-4a42-86f9-84c367348fba"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:41:50Z"
    name: nmstate-webhook-ll44w
    namespace: openshift-nmstate
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: nmstate-webhook
      uid: 8b23d6b1-c054-4a42-86f9-84c367348fba
    resourceVersion: "54067"
    uid: a8b6a7ae-5abf-43eb-9958-14fbde002e89
  ports:
  - name: ""
    port: 9443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2220170"
